package intrinsic.flash.events;

public class SQLErrorEvent extends intrinsic.flash.events.ErrorEvent {

	/** Accessors */
	public intrinsic.flash.errors.SQLError error;

	/** Variables */

	/** Constants */
	public static final String ERROR = "error";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SQLErrorEvent() {
}

public SQLErrorEvent(String arg0) {
}

public SQLErrorEvent(String arg0, boolean arg1) {
}

public SQLErrorEvent(String arg0, boolean arg1, boolean arg2) {
}

public SQLErrorEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.errors.SQLError arg3) {
}


/** Static Methods */

/** Methods */
public native String toString();
public native Object clone();

}
